//////////////////////////////////////////////////////////////////////
//                                                                  //
// StarCraft For CEDEC                                              //
//                                                                  //
// Copyright (c) 2004-2011 Daisuke Shikata                          //
//                                                                  //
//////////////////////////////////////////////////////////////////////

#pragma once

// 整数ベクトルクラス
class IVector2
{
public:
	IVector2(void);
	~IVector2(void);
	IVector2( int vx, int vy )
	{
		x = vx;
		y = vy;
	}

	void set( int vx, int vy ){ x = vx; y = vy; }
	
	IVector2 operator + ( IVector2& pos )
	{
		IVector2 ret;
		ret.x = this->x + pos.x;
		ret.y = this->y + pos.y;
		return ret;
	}

	IVector2 operator - ( IVector2& pos )
	{
		IVector2 ret;
		ret.x = this->x - pos.x;
		ret.y = this->y - pos.y;
		return ret;
	}
	int x;
	int y;
};


