//////////////////////////////////////////////////////////////////////
//                                                                  //
// StarCraft For CEDEC                                              //
//                                                                  //
// Copyright (c) 2004-2011 Daisuke Shikata                          //
//                                                                  //
//////////////////////////////////////////////////////////////////////
#pragma once
#include "PatternBase.h"
#include "PatternPrimitive.h"

#include "../IgoTypes.h"

namespace pattern
{
class PatternOsae : public PatternBase
{
public:
	virtual void setup()
	{
		pushBack(  PatternPrimitive( STONE_BLACK, 0, 0 ) );
		pushBack(  PatternPrimitive( STONE_WHITE, 1, 0 ) );
		pushBack(  PatternPrimitive( STONE_WHITE, 0,-1 ) );
		pushBack(  PatternPrimitive( STONE_NONE, -1,-1 ) );

		setAnswer( PatternPrimitive( STONE_BLACK,-1,-1 ) );
		// １線より上
		setLowLine( 0 );
	}
private:
};

}