//////////////////////////////////////////////////////////////////////
//                                                                  //
// StarCraft For CEDEC                                              //
//                                                                  //
// Copyright (c) 2004-2011 Daisuke Shikata                          //
//                                                                  //
//////////////////////////////////////////////////////////////////////
#pragma once

#include "..\math\IVector2.h"
#include "..\math\IVector2Util.h"

namespace pattern
{
class PatternPrimitive
{
public:
	PatternPrimitive()
	{
		atter = 0;
		position.x = 0;
		position.y = 0;
	}

	PatternPrimitive( int attr, int x, int y )
	{
		set( attr, x, y );
	}
	void operator = ( PatternPrimitive& value )
	{
		this->set( value.atter, value.position.x, value.position.y );
	}

	//void operator = ( const PatternPrimitive& value )
	//{
	//	this->set( value.atter, value.position.x, value.position.y );
	//}

	void set( int vatter, int x, int y )
	{
		atter = vatter;
		position.set( x, y );
	}

	int      atter;
	IVector2 position;
};
}